package cn.iocoder.yudao.module.basic.convert.workersinfo;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;

import cn.iocoder.yudao.module.basic.api.workersinfo.dto.WorkersInfoRespDTO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.basic.controller.admin.workersinfo.vo.*;
import cn.iocoder.yudao.module.basic.dal.dataobject.workersinfo.WorkersInfoDO;

/**
 * 员工 Convert
 *
 * @author 芋道源码
 */
@Mapper
public interface WorkersInfoConvert {

    WorkersInfoConvert INSTANCE = Mappers.getMapper(WorkersInfoConvert.class);

    WorkersInfoDO convert(WorkersInfoCreateReqVO bean);

    WorkersInfoDO convert(WorkersInfoUpdateReqVO bean);

    WorkersInfoRespVO convert(WorkersInfoDO bean);

    List<WorkersInfoRespVO> convertList(List<WorkersInfoDO> list);

    PageResult<WorkersInfoRespVO> convertPage(PageResult<WorkersInfoDO> page);

    WorkersInfoRespDTO convertToDTO(WorkersInfoDO bean);
}
